using System;

internal sealed class Delegate862 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate862 delegate862_1)
	{
		return delegate862_1(object_0);
	}

	public extern Delegate862(object object_0, IntPtr intptr_0);

	static Delegate862()
	{
		Class10.smethod_13(typeof(Delegate862).TypeHandle);
	}

	internal static Delegate862 delegate862_0;
}
